'use strict';
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// 备注
class RemarkService extends CrudService {
  constructor(ctx) {
    super(ctx, 'remark');
    this.model = this.ctx.model.Remark;
  }

  async getRemark(query) {
    const res = await this.model.findOne(query);
    return res;
  }
}

module.exports = RemarkService;
