module.exports = {
  create: {
    requestBody: [
      "name",
      "!mobile",
      "!passwd",
      "hosname",
      "deptname",
      "title",
      "post",
      "content",
      "openid",
      "remark",
      "invite_id",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "!mobile",
      "passwd",
      "hosname",
      "deptname",
      "title",
      "post",
      "content",
      "openid",
      "remark",
      "invite_id",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        mobile: "mobile",
        openid: "openid",
        invite_id: "invite_id",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
